using System;
using System.Collections.Generic;
using UnityEngine;

[Serializable]
public class AMGroup : ScriptableObject
{
	public void init(int group_id = 0, string group_name = null)
	{
		this.group_id = group_id;
		if (group_name == null)
		{
			this.group_name = "Group" + Mathf.Abs(this.group_id);
		}
		else
		{
			this.group_name = group_name;
		}
	}

	public void destroy()
	{
		UnityEngine.Object.DestroyImmediate(this);
	}

	public string group_name;

	public int group_id;

	public List<int> elements = new List<int>();

	public bool foldout = true;
}
